Package com.plannaplan.configutils

# Class FileReader

java.lang.Object
com.plannaplan.configutils.FileReader

    public class FileReader
    extends java.lang.Object

FileReader is used for reading xls file from input stream.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FileReader​(java.io.InputStream fileInputStream)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`FileData` | `read()` | read data rom file

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileReader

public FileReader​(java.io.InputStream fileInputStream)

Parameters:
  `fileInputStream` - stream of stadarized file contains courses and gropups to import. File needs to be .xlsx file that has fields: zaj_cyk_id, typ, sym, nazwa, gr_nr, Mc, dzien, godz_od, sala, tytul, nazwisko, imie. Order doesn't have impact on import. Any change name of given field can be performed in FileToDatabaseMigrator class

## Method Details

### read

public FileData read()
read data rom file

Returns:
  instance of class FileData